import { e2 as t, L as o, e5 as i, j as n, br as d } from "./56c67d3b.js";
import "react";
import "react-dom";
test("test withIsLoading", async () => {
  const s = n(d);
  let e = new s({
    value: {
      text: "{{query1.data}}"
    }
  });
  const a = t("aaa");
  e = o(e, {
    query1: i({ data: a })
  }), expect(e.children.text.getView()).toEqual("aaa"), expect(e.isLoading).toBe(!1), e = o(e, {
    query1: i({
      data: a,
      isFetching: t(!0)
    })
  }), expect(e.isLoading).toBe(!0), e = o(e, {
    query1: i({
      data: a,
      isFetching: t(!1),
      latestEndTime: t((/* @__PURE__ */ new Date()).getTime())
    })
  }), expect(e.isLoading).toBe(!1);
});
